<?php

/**
* @package     JohnCMS
* @link        http://johncms.com
* @copyright   Copyright (C) 2008-2011 JohnCMS Community
* @license     LICENSE.txt (see attached file)
* @version     VERSION.txt (see attached file)
* @author      http://johncms.com/about
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');

$textl = htmlspecialchars($user['name']) . ': ' . $lng_profile['profile_edit'];
require('../incfiles/head.php');

/*
-----------------------------------------------------------------
Code powerby Hoàng Anh
-----------------------------------------------------------------
*/
if ($user['id'] != $user_id && ($rights < 7 || $user['rights'] > $rights)) {
    echo functions::display_error($lng_profile['error_rights']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Phần set lập by Hoàng Anh
-----------------------------------------------------------------
*/
if ($rights >= 7 && $rights > $user['rights'] && $act == 'reset') {
    mysql_query("UPDATE `users` SET `set_user` = '', `set_forum` = '', `set_chat` = '' WHERE `id` = '" . $user['id'] . "'");
    echo '<div class="gmenu"><p>' . $lng['settings_default'] . '<br /><a href="profile.php?user=' . $user['id'] . '">' . $lng['to_form'] . '</a></p></div>';
    require('../incfiles/end.php');
    exit;
}
echo'<table width="100%" border="0" cellspacing="0"><tr class="menu"><td width="50%">';
echo'<a href="' . $set['homeurl'] . '/users/ketban-' . $user['id'] . '.html">Bạn Bè</a>';
echo'</td><td width="50%">';
echo'<a href="' . $set['homeurl'] . '/avatar/index.php">Cửa Hàng</a>';
echo'</td></tr></table><br/>';
echo'<div class="phdrbox">';
if (isset($_GET['delavatar'])) {
    /*
    -----------------------------------------------------------------
    Hoàng Anh
    -----------------------------------------------------------------
    */
    @unlink('../avatar/' . $user['id'] . '.png');
    echo '<div class="rmenu">' . $lng_profile['avatar_deleted'] . '</div>';
} elseif (isset($_GET['delphoto'])) {
    /*
    -----------------------------------------------------------------
    Phần link ảnh by Hoàng Anh
    -----------------------------------------------------------------
    */
    @unlink('../files/users/photo/' . $user['id'] . '.jpg');
    @unlink('../files/users/photo/' . $user['id'] . '_small.jpg');
    echo '<div class="rmenu">' . $lng_profile['photo_deleted'] . '</div>';
} elseif (isset($_POST['submit'])) {
    /*
    -----------------------------------------------------------------
    Phần set thông tin by Hoàng Anh
    -----------------------------------------------------------------
    */
    $error = array ();
    $user['imname'] = isset($_POST['imname']) ? functions::check(mb_substr($_POST['imname'], 0, 25)) : '';
    $user['luong'] = isset($_POST['luong']) ? functions::check(mb_substr($_POST['luong'], 0, 500)) : '';
    $user['live'] = isset($_POST['live']) ? functions::check(mb_substr($_POST['live'], 0, 50)) : '';
    $user['dayb'] = isset($_POST['dayb']) ? intval($_POST['dayb']) : 0;
    $user['monthb'] = isset($_POST['monthb']) ? intval($_POST['monthb']) : 0;
    $user['yearofbirth'] = isset($_POST['yearofbirth']) ? intval($_POST['yearofbirth']) : 0;
    $user['about'] = isset($_POST['about']) ? functions::check(mb_substr($_POST['about'], 0, 500)) : '';
    $user['mibile'] = isset($_POST['mibile']) ? functions::check(mb_substr($_POST['mibile'], 0, 40)) : '';
    $user['mail'] = isset($_POST['mail']) ? functions::check(mb_substr($_POST['mail'], 0, 40)) : '';
    $user['mailvis'] = isset($_POST['mailvis']) ? 1 : 0;
    $user['icq'] = isset($_POST['icq']) ? intval($_POST['icq']) : 0;
    $user['skype'] = isset($_POST['skype']) ? functions::check(mb_substr($_POST['skype'], 0, 40)) : '';
    $user['jabber'] = isset($_POST['jabber']) ? functions::check(mb_substr($_POST['jabber'], 0, 40)) : '';
    $user['www'] = isset($_POST['www']) ? functions::check(mb_substr($_POST['www'], 0, 40)) : '';
    // Phần set thông tin chung by Hoàng Anh
    $user['name'] = isset($_POST['name']) ? functions::check(mb_substr($_POST['name'], 0, 20)) : $user['name'];
    $user['xu'] = isset($_POST['xu']) ? functions::check(mb_substr($_POST['xu'], 0, 500)) : '';
    $user['karma_off'] = isset($_POST['karma_off']);
    $user['sex'] = isset($_POST['sex']) && $_POST['sex'] == 'm' ? 'm' : 'zh';
    $user['rights'] = isset($_POST['rights']) ? abs(intval($_POST['rights'])) : $user['rights'];
    // Hoàng Anh
    if($user['rights'] > $rights || $user['rights'] > 9 || $user['rights'] < 0)
        $user['rights'] = 0;
    if ($rights >= 7) {
        if (mb_strlen($user['name']) < 2 || mb_strlen($user['name']) > 20)
            $error[] = $lng_profile['error_nick_lenght'];
        $lat_nick = functions::rus_lat(mb_strtolower($user['name']));
        if (preg_match("/[^0-9a-z\-\@\*\(\)\?\!\~\_\=\[\]]+/", $lat_nick))
            $error[] = $lng_profile['error_nick_symbols'];
    }
    if ($user['dayb'] || $user['monthb'] || $user['yearofbirth']) {
        if ($user['dayb'] < 1 || $user['dayb'] > 31 || $user['monthb'] < 1 || $user['monthb'] > 12)
            $error[] = $lng_profile['error_birth'];
    }
    if ($user['icq'] && ($user['icq'] < 10000 || $user['icq'] > 999999999))
        $error[] = $lng_profile['error_icq'];
    if (!$error) {
        mysql_query("UPDATE `users` SET
            `imname` = '" . $user['imname'] . "',
            `live` = '" . $user['live'] . "',
            `dayb` = '" . $user['dayb'] . "',
            `monthb` = '" . $user['monthb'] . "',
            `yearofbirth` = '" . $user['yearofbirth'] . "',
            `about` = '" . $user['about'] . "',
            `mibile` = '" . $user['mibile'] . "',
            `mail` = '" . $user['mail'] . "',
            `mailvis` = '" . $user['mailvis'] . "',
            `icq` = '" . $user['icq'] . "',
            `skype` = '" . $user['skype'] . "',
            `jabber` = '" . $user['jabber'] . "',
            `www` = '" . $user['www'] . "'
            WHERE `id` = '" . $user['id'] . "'
        ");
        if ($rights >= 7) {
            mysql_query("UPDATE `users` SET
                `name` = '" . $user['name'] . "',
                `luong` = '" . $user['luong'] . "',
                `xu` = '" . $user['xu'] . "',                `karma_off` = '" . $user['karma_off'] . "',
                `sex` = '" . $user['sex'] . "',
                `rights` = '" . $user['rights'] . "'
                WHERE `id` = '" . $user['id'] . "'
            ");
        }
        echo '<div class="gmenu">' . $lng_profile['data_saved'] . '</div>';
    } else {
        echo functions::display_error($error);
    }
    header('Location: /member/edit-' . $user['id'].'.html');
    exit;
}

/*
-----------------------------------------------------------------
Phần ảnh đại diện
-----------------------------------------------------------------
*/
echo '<form action="/member/edit-' . $user['id'] . '.html" method="post">';
echo '<center>';
$link = '';
if ($set_user['avatar']) {
                        if (file_exists(('../files/users/avatar/' . $user['id'] . '.gif')))
                            echo '<img id="avatar-tron" src="../avatar/' . $user['id'] . '.png" width="50" height="50" alt="' . $user['from'] . '"/>';
                        else
                            echo '<img id="avatar-tron" src="../avatar/' . $user['id'] . '.png" width="50" height="50" alt="' . $user['from'] . '"/>';
                      
                    }
echo '</center>' .
    '<table border="0" cellpadding="0" cellspacing="0" width="100%" class="profile-info">
        <tr>
            <td class="left-info">ID tài khoản</td>
            <td class="right-info"><span>' . $user['id'] . '</span></td>
        </tr>

		<tr>
            <td class="left-info">Tên nick</td>
            <td class="right-info"><span><input type="text" value="' . $user['name'] . '" name="name" /></span></td>
        </tr>
		<tr>
            <td class="left-info">Tên thật</td>
            <td class="right-info"><span><input type="text" value="' . $user['imname'] . '" name="imname" /></span></td>
        </tr>
                <tr>
            <td class="left-info">Giới tính</td>
            <td class="right-info"><span><select name="sex"' . $lng_profile['specify_sex'] . '>
      <option value="m"' . ($user['sex'] == 'm' ? 'checked="checked"' : '') . '/>' . $lng_profile['sex_m'] . '</option>
      <option value="zh"' . ($user['sex'] == 'zh' ? 'checked="checked"' : '') . '/>' . $lng_profile['sex_w'] . '</option>
        </select></p></td>
        </tr>
		<tr>
            <td class="left-info">Năm sinh</td>
            <td class="right-info"><span><input type="text" value="'.$user['dayb'].'" size="2" maxlength="2" name="dayb" /> <input type="text" value="'.$user['monthb'].'" size="2" maxlength="2" name="monthb" /> <input type="text" value="'.$user['yearofbirth'].'" size="4" maxlength="4" name="yearofbirth" /></span></td>
        </tr>
		<tr>
            <td class="left-info">Tỉnh thành</td>
            <td class="right-info"><span><input type="text" value="' . $user['live'] . '" name="live" /></span></td>
        </tr>
                <tr>
            <td class="left-info">Điện thoại</td>
            <td class="right-info"><span><input type="text" value="' . $user['mibile'] . '" name="mibile" /></span></td>
        </tr>
		<tr>
            <td class="left-info">Sở thích</td>
            <td class="right-info"><span><textarea rows="' . $set_user['field_h'] . '" name="about">' . $user['about'] . '</textarea></span></td>
        </tr>
		<tr>
            <td class="left-info">Email</td>
            <td class="right-info"><span><input type="text" value="' . $user['mail'] . '" name="mail" /></span></td>
        </tr>
		<tr>
     </td></tr></table>';
// Phần ban quản trị
if ($rights >= 9) {
echo '</center>' .
    '<table border="0" cellpadding="0" cellspacing="0" width="100%" class="profile-info">
                <tr>
             <td class="left-info">Chỉnh xu </td>
             <td class="right-info"><span><input type="text" value="' . $user['xu'] . '" name="xu" /></span></span></td>
        </tr>
                <tr>
             <td class="left-info">Chỉnh lượng </td>
             <td class="right-info"><span><input type="text" value="' . $user['luong'] . '" name="luong" /></span></span></td>
        </tr>
<div class="list2"><a href="/users/profile.php?act=matkhau"><b> Đổi Mật Khẩu </b>( Hãy Đặt Mật Khẩu Có Tính Bảo Mật Cao )</a> </div>
      </td></tr></table>';
if ($user['id'] != $user_id) {
echo '</center>' .
'<table border="0" cellpadding="0" cellspacing="0" width="100%" class="profile-info">
<tr>
<td class="left-info">Chức Vụ</td>
<td class="right-info"><span><select name="rights"' . $lng_profile['specify_rights'] . '>
<option value="0"' . ($user['rights'] == '0' ? 'checked="checked"' : '') . '/>Thành Viên</option>
<option value="2"' . ($user['rights'] == '2' ? 'checked="checked"' : '') . '/>Trial Mod</option>
<option value="3"' . ($user['rights'] == '3' ? 'checked="checked"' : '') . '/>Mod</option>
<option value="4"' . ($user['rights'] == '4' ? 'checked="checked"' : '') . '/>Trial Smod</option>
<option value="6"' . ($user['rights'] == '6' ? 'checked="checked"' : '') . '/>Game Master</option>
<option value="7"' . ($user['rights'] == '7' ? 'checked="checked"' : '') . '/>Smod</option>
<option value="9"' . ($user['rights'] == '9' ? 'checked="checked"' : '') . '/>Admin</option>
</select></p></td>
</tr>
</td></tr></table>';
              }
              }
             echo '<div class="list1"><center><input type="submit" value="Cập Nhập" name="submit" /></center>' .
        '</form></div>';

?>