<?php

/**
* @package     JohnCMS
* @link        http://johncms.com
* @copyright   Copyright (C) 2008-2011 JohnCMS Community
* @license     LICENSE.txt (see attached file)
* @version     VERSION.txt (see attached file)
* @author      http://johncms.com/about
*/
define('_IN_JOHNCMS', 1);
require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');

/*
-----------------------------------------------------------------
Hiện thị full head Hoàng Anh
-----------------------------------------------------------------
*/
if (!$user_id) {
require('../incfiles/head.php');
echo functions::display_error($lng['access_guest_forbidden']);
require('../incfiles/end.php');
exit;
}

/*
-----------------------------------------------------------------
Hiển thị head
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
require('../incfiles/head.php');
echo functions::display_error($lng['user_does_not_exist']);
require('../incfiles/end.php');
exit;
}

/*
-----------------------------------------------------------------
Thông tin nick
-----------------------------------------------------------------
*/
$array = array(
'activity'  => 'includes/profile',
'xu'        => 'includes/profile',
'Luong'     => 'includes/profile',
'yourtopic' => 'includes/profile',
'chuki'     => 'includes/profile',
'ban'       => 'includes/profile',
'edit'      => 'includes/profile',
'images'    => 'includes/profile',
'info'      => 'includes/profile',
'ip'        => 'includes/profile',
'office'    => 'includes/profile',
'matkhau'   => 'includes/profile',
'reset'     => 'includes/profile',
'settings'  => 'includes/profile',
'baocao'    => 'includes/profile',
'stat'      => 'includes/profile',
'friends'   => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
require_once($path . $act . '.php');
} else {
/*
-----------------------------------------------------------------

-----------------------------------------------------------------
*/
$headmod = 'profile,' . $user['id'];
$textl = 'Thông tin ' . htmlspecialchars($user['name']). '';
require('../incfiles/head.php');


// Hoàng Anh
$menu = array();
if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights']) {
$menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">' . $lng['delete'] . '</a>';
}
if ($user['id'] != $user_id && $rights > $user['rights']) {
$menu[] = '<a href="profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">' . $lng['ban_do'] . '</a>';
}


//Hoàng Anh conspro
if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time())) {
echo '<div class="gmenu">' . $lng['birthday'] . '!!!</div>';
}

// Hoành Anh
$arg = array(
'lastvisit' => 1,
'iphist'    => 1,
'header'    => ''
);

if ($user['id'] != core::$user_id) {
$arg['footer'] = '<span class="gray">' . core::$lng['where'] . ':</span> ' . functions::display_place($user['id'], $user['place']);
}
echo'<table width="100%" border="0" cellspacing="0"><tr class="menu"><td width="50%">';
echo'<a href="' . $set['homeurl'] . '/users/ketban-' . $user['id'] . '.html">Bạn Bè</a>';
echo'</td><td width="50%">';
echo'<a href="' . $set['homeurl'] . '/avatar/index.php">Cửa Hàng</a>';
echo'</td></tr></table>';
echo'<div class="phdrbox">';
echo'<div class="profile">';
if ($set_user['avatar']) {
if (file_exists(('../files/users/avatar/' . $user['id'] . '.gif')))
echo '<img id="avatar-tron" src="../avatar/' . $user['id'] . '.png" width="50" height="50" alt="' . $user['from'] . '"/>';
else
echo '<img id="avatar-tron" src="../avatar/' . $user['id'] . '.png" width="50" height="50" alt="' . $user['from'] . '"/>';

}
if ($rights >= 6) {
echo'<br/><a href="/users/profile.php?act=edit&amp;user=' . $user['id'] . '"><span class="currentpage"><font color="f8f8ff">Chỉnh Sửa</font></span</a>';
echo'<a href="/users/profile.php?act=ban&mod=do&user=' . $user['id'] . '"><span class="currentpage"><font color="f8f8ff"> Khóa Nick</font></span></a><br/>';
}
echo'</div>';

// Если юзер ожидает подтверждения регистрации, выводим напоминание
if ($rights >= 7 && !$user['preg'] && empty($user['regadm'])) {
echo '<div class="rmenu">' . $lng_profile['awaiting_registration'] . '</div>';
}

$total_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `user_id`='{$user['id']}' AND `type`='2' AND `friends`='1'"), 0);
echo'<table border="0" cellpadding="0" cellspacing="0" width="100%" class="profile-info">
<tr>
<td class="left-info">ID tài khoản</td>
<td class="right-info"><span>' . $user['id'] . '</span></td>
</tr>
<tr>
<td class="left-info">Tên nick</td>
<td class="right-info"><span>' . htmlspecialchars($user['name']). '</span></td>
</tr>
<tr>
<td class="left-info">Tên thật</td>
<td class="right-info"><span>' . $user['imname'] . '</span></td>
</tr>
<tr>
<td class="left-info">Ngày sinh</td>
<td class="right-info"><span>Ngày ' . $user['dayb'] . ' Tháng ' . $user['monthb'] . ' Năm ' . $user['yearofbirth'] . '</span></td>
</tr>
<tr>
<td class="left-info">Giới tính</td>
<td class="right-info">
<span>
' . ($user['sex'] == 'm' ? $lng_profile['registered_m'] : $lng_profile['registered_w']) . '</span>
</td>
</tr>
<tr>
<td class="left-info">Tài khoản</td>
<td class="right-info"><span>' . $user['nopi'] . ' Nopi</span></td>
</tr>
<tr>
<td class="left-info">Xu</td>
<td class="right-info"><span>' . $user['xu'] . ' Xu</span></td>
</tr>
<tr>
<td class="left-info">Lượng</td>
<td class="right-info"><span>' . $user['luong'] . ' Lượng</span></td>
</tr>
<tr>
<td class="left-info">Exp</td>
<td class="right-info"><span>' . expuser($user['id']) . '</span></td>
</tr>
<tr>
<td class="left-info">Level</td>
<td class="right-info"><span>' . lv($user['id']) . '</span></td>
</tr>
<tr>
<td class="left-info">Tỉnh thành</td>
<td class="right-info">
<span>
' . $user['live'] . '                </span>
</td>
</tr>
<tr>
<td class="left-info">Điện thoại</td>
<td class="right-info"><span>' . $user['mibile'] . '</span></td>
</tr>
<tr>
<td class="left-info">Sở thích</td>
<td class="right-info"><span>' . $user['about'] . '</span></td>
</tr>
<tr>
<td class="left-info">Bạn bè</td>
<td class="right-info"><span>' . $total_friends . ' bạn</span></td>
</tr>
<tr>
<td class="left-info">Online</td>
<td class="right-info"><span>' . timeonline($user['online']) . ' </span></td>
</tr>
<tr>
<td class="left-info">Tùy chọn</td>
<td class="right-info"><img src="/images/ketban.png"/> <a href="/users/ketban-' . $user['id'] . '.html" title = "Kết bạn">Kết bạn</a>  <img src="/images/nhantin.png"> <a href="/mail/' . $user['id'] . '" title = "Nhắn tin">Nhắn tin</a></td>
</tr>
<tr>
</td>
</tr>
</table>';
echo '<div class="list1">';
if (!functions::is_contact($user['id'])) {
echo'<a href="edit-' . $user['id'] . '.html">Thiết lập</a> - ';
}
echo'<a href="/users/profile.php?act=activity&mod=topic&user=' . $user['id'] . '">Tìm kiếm chủ đề từ ' . htmlspecialchars($user['name']). '</a>';
echo' - <a href="/users/profile.php?act=activity&user=' . $user['id'] . '">Tìm kiếm bài gửi từ ' . htmlspecialchars($user['name']). '</a>';
echo'</div>';
}

echo '</div>';
require_once('../incfiles/end.php');